## org.biojava.stats.svm
Interface SVMKernel

All Known Implementing Classes:
  CachingKernel, DiagonalAddKernel, DiagonalCachingKernel, LinearKernel, ListSumKernel, NestedKernel, NormalizingKernel, PolynomialKernel, RadialBaseKernel, SigmoidKernel, SparseVector.NormalizingKernel, SuffixTreeKernel

    public interface SVMKernel

Kernel for support vector machines and related methods.

It is hoped that all implementations of SVMKernel will be serializable, as this will allow models to be stored and retrieved without inventing complex data formats.

Author:
  Thomas Down.

Method Summary
`double` `evaluate(Object a, Object b)` Return the dot product of two vectors in an arbitrary feature space.

Method Detail

### evaluate

    double evaluate(Object a,
                    Object b)

  Return the dot product of two vectors in an arbitrary feature space. In this implementation, the `vectors' can actually be arbitrary objects.